html, body {background:#FFFFFF;font-family:'Lato';font-weight:400;font-size:16px;}
body {margin:0;}
h1 {}
.site-title {font-size:32px;font-weight: 900;margin:0;line-height:1;}
.site-title a {color:#222; text-decoration: none;}
.site-title a:hover {color:#000; text-decoration: none;}
.site-title-link {color:#222; text-decoration: none;}
.site-title-link:hover {color:#000; text-decoration: none;}
.site-search-input::placeholder {font-size: 16px;color:#b1b1b1;}

h2 {}
.recommendBookOneTitle {font-size:16px;font-weight:bold;}
.recommendBookOneText {color:#333;}
.site-desc {margin:0;font-size:15px;font-weight:300;color:#222;padding-left:2px;}
h3 {}
a {}
a:hover {text-decoration: none;}
.breadcrumb {background-color:#F8F9FA;font-size:14px;}
.breadcrumb-item a:hover {text-decoration:none;}
.breadcrumb-item + .breadcrumb-item::before {font-family: FontAwesome;content: "\f105";}
.breadcrumb-home {font-size:16px !important;position:relative;top:1px;}
.breadcrumb {text-overflow:ellipsis;}

.container {max-width:1400px !important;}
.sidebar-header {font-weight:700;font-size:14px;color:#767676;}
div.sticky {
  position: -webkit-sticky;
  position: sticky;
  top: 15px;
}
.sidebar {font-size:14px;font-weight:500;}
.sidebar h3 {
    font-family: 'Lato';
    font-weight:800;
    color: #434343;
    line-height: 1;
    margin-top:0px;
    font-size:16px;
    margin-bottom:5px;
}
.sidebar ul {list-style:none;padding-left:0px;}
a {color:#08c;text-decoration: none;transition: color ease 0.2s;}
a:hover {color:#C94D20;text-decoration:underline;}

a.navbar-top-link {color:#909090;position: relative;top:-2px;}
a.navbar-top-link:hover {color:#d2270b;}
a.navbar-top-link .fa {position: relative;top:0px;}
.navbar-divider {height:2px;background:#e5e5e5;border-bottom:1px solid #fafafa;}
.sidebar-left-link {padding-top:4px;padding-bottom:4px;}
.post {padding-top:20px;padding-bottom:30px;}
.post-one {padding-top:20px;padding-bottom:10px;}
.first-post {padding-top:0px !important;}
.post-header {}
.post-meta {line-height: 1;}
.post-meta-date {color:#9EABB3;font-size:14px;}
.parentSectionLink {color:#9EABB3;font-style:italic;text-decoration:none;}
.parentSectionLink:hover {text-decoration:none;}
.post-title {font-size:26px;color:#333;font-weight:800;text-indent: -2px;padding:4px 0px 4px 0px;}
.post-title-link {text-decoration:none;color:#333;}
.post-title-link:hover {text-decoration:none;}

.post-tags-list {margin-left:0px;padding-left:0px;margin-top:-12px;margin-bottom:12px;}
.post-tags-list li {display:inline-block;margin-top:8px;}
.post-tag {position:relative;top:-2px;color:#fff;padding-top:4px;}
.post-tag-html {background:#E44D26;}
.post-tag-css {background:#2062AF;}
.post-tag-bootstrap {background:#563D7C;}
.post-tag-js {background:#d6ae01;}
.post-tag-jquery {background:#1E2E3B;}
.post-tag-php {background:#4F5B93;}
.post-tag-laravel {background:#F35045;}
.post-tag-ruby {background:#C60000;}
.post-tag-ror {background:#C60000;}
.post-tag-codeart {background:#007E92;}
.nextArticleLink:hover, .prevArticleLink:hover {text-decoration:none;}
.nextArticleLink::after {
    font-family: FontAwesome;
    content:"\f178";
    margin-left:6px;
}
.prevArticleLink::before {
    font-family: FontAwesome;
    content:"\f177";
    margin-right:6px;
}

.recomendedAlert {background-color: #eef4ed;border:0;}
.recomendedArtCaption {font-size:14px;color:#313f35;}
.recomendedArtList {margin: 0; padding:0;padding-left:15px;}
.recomendedArtOne {margin-bottom:4px;}
.recomendedArtOne a:hover {text-decoration:none;}

.post-content {color:#3A4145;font-size:16px;}
blockquote {background-color:#f5f5f5;font-style:italic;color:#545454;quotes: "\201c" "\201d";}
.btn-custom-default-outline {font-size:14px;line-height: 1;padding:8px 10px 8px 10px;border:1px solid #f1f1f1;}
.btn-custom-default-outline-post .fa {position:relative;top:-1px;font-size:8px;margin-left:4px;}
.md-shadow {
  border:0 !important;
  box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
  transition: all 0.3s cubic-bezier(.25,.8,.25,1);
}
a .card .card-body .card-img-top {opacity:1;}
a .card .card-footer {background:#fafafa;}
a:hover .card .card-body .card-img-top {opacity:0.9;}
a:hover .card .card-footer {background:#C94D20;}
a:hover .card .card-footer h2 {color:#FFF;text-decoration:none;}
.category-card-title {font-size:18px;color:#333;font-weight:800;text-indent: -2px;padding:4px 0px 4px 0px;margin-bottom:0px;}

.footer-div {background:#272822;color:#8a8a8a;font-size:14px;}
code {font-size:14px !important;}
.logo-full {}
.logo-full-image {width:48px;position:relative;top:-18px;}

.mobile-navbar-toggler {font-size:16px;color:#656565;}
.mobile-navbar-toggler:hover {color:#111;}
.mobile-navbar-nav {font-size:14px;}

.post-tags-list li {margin-left:4px;}
.post-tags-list li:first-child {margin-left:0px;}

.pagination {font-size:14px;}
.pagination .page-item .page-link {
    color:#444;
    border:1px solid transparent;
}
.pagination .active .page-link {
    background-color:#C94D20;
    border:1px solid transparent;
    color:#fff;
}
.pagination .page-item .page-link {
    transition: all 0s;
}
.pagination .page-item .page-link:hover {
     background-color:#eaeaea;
     color:#333;
     
}
.pagination .active .page-link:hover {background-color:#C94D20;color:#fff;}

.searchResultHeader {font-size:26px;font-weight:800;color:#333;}
.searchResultLink {}
.searchResultLink {text-decoration:none !important;}
.searchResultText {color:#656565;font-style:italic;font-weight:300;font-size:14px;}
.searchResultNum {color:#767676;font-weight:300;font-style:italic;}
.docTypeIcon {position:relative;top:-2px;}

.shareText {font-size:14px;color:#333;position:relative;top:-10px;}
.footer-socials {}
.footerSocialLogo {
    filter: saturate(0.6);
    -webkit-filter: saturate(0.6);
}
.footerSocialLogo:hover {
    filter: saturate( 1 );
    -webkit-filter: saturate( 1 );
}
.footerYoutubeLogoImg {width:48px;}
.footer-tg {font-size:36px;}
.footer-tg a {color:#2DA5D9;}
.footer-tg a:hover {color:#fefefe;}

.error404Image {width:280px;}
.error404Text {font-size:42px;font-weight:900;color:#C94D20;}
.error404Desc {font-size:18px;font-weight:300;color:#656565;}

.recommendBooksListHeader {font-size:18px;font-weight:400;color:#08c;cursor:pointer;}
.recommendBooksListHeader:hover {color:#C94D20;}

@media all and (max-width: 576px) {
  .logo-full {
    width:100%;text-align: center !important;
  }
  code {font-size:14px !important;}
}